Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.security
Class DefaultAuthenticatorFactory

    java.lang.Object
      org.eclipse.jetty.security.DefaultAuthenticatorFactory

All Implemented Interfaces:
  Authenticator.Factory

    public class DefaultAuthenticatorFactory

extends java.lang.Object
implements Authenticator.Factory

The Default Authenticator Factory. Uses the `Authenticator.AuthConfiguration.getAuthMethod()` to select an `Authenticator` from:

- `BasicAuthenticator`
- `DigestAuthenticator`
- `FormAuthenticator`
- `ClientCertAuthenticator`

All authenticators derived from `LoginAuthenticator` are wrapped with a `DeferredAuthentication` instance, which is used if authentication is not mandatory. The Authentications from the `FormAuthenticator` are always wrapped in a `SessionAuthentication`

If a `LoginService` has not been set on this factory, then the service is selected by searching the `Server.getBeans(Class)` results for a service that matches the realm name, else the first LoginService found is used.

Constructor Summary
`DefaultAuthenticatorFactory()`

Method Summary
`Authenticator` | `getAuthenticator(Server server, ServletContext context, Authenticator.AuthConfiguration configuration, IdentityService identityService, LoginService loginService)`
`LoginService` | `getLoginService()`
`void` | `setLoginService(LoginService loginService)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultAuthenticatorFactory

    public DefaultAuthenticatorFactory()

Method Detail

### getAuthenticator

    public Authenticator getAuthenticator(Server server,
                                          ServletContext context,
                                          Authenticator.AuthConfiguration configuration,
                                          IdentityService identityService,
                                          LoginService loginService)

  Specified by:
    `getAuthenticator` in interface `Authenticator.Factory`

### getLoginService

    public LoginService getLoginService()

  Returns:
    the loginService

### setLoginService

    public void setLoginService(LoginService loginService)

  Parameters:
    `loginService` - the loginService to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.